[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: new warnings during xfree86_4.2.0-0pre1v3 install



On Sun, Aug 25, 2002 at 10:08:32PM -0400, Jack Howarth wrote:
> Branden,
>    In current debian ppc sid, when I install the experimental
> XFree86 4.2.0-0pre1v3 packages since perl 5.80 has been installed
> I see the following extra warnings (I am assuming these aren't
> really errors)...
> 
> Setting up xfree86-common (4.2.0-0pre1v3.1) ...
> Filehandle STDIN opened only for output at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 155.

Not my problem.  My maintainer scripts are not written in perl.  Talk to
Joey Hess.

> Setting up xserver-xfree86 (4.2.0-0pre1v3.1) ...
> Filehandle STDIN opened only for output at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 155.

See above.

> dexconf: dexconf: existing /etc/X11/XF86Config-4 has missing or half-open 
> debconf region; not writing X server configuration file.
> Unable to write X server configuration file.

Aside from the duplicate $0, this is an entirely appropriate warning to
issue.  What did you do to your configuration file?

> You might want to check into those and if they are warnings see if we
> can suppress them. Thanks.

You might want to pay more attention to the output you read:

$ dpkg -S /usr/share/perl5/Debconf/FrontEnd/Dialog.pm
debconf: /usr/share/perl5/Debconf/FrontEnd/Dialog.pm

Hmm, not to hard to figure out where that warning's coming from, is it?

-- 
G. Branden Robinson                |    Religion is regarded by the common
Debian GNU/Linux                   |    people as true, by the wise as
branden@debian.org                 |    false, and by the rulers as useful.
http://people.debian.org/~branden/ |    -- Lucius Annaeus Seneca

Attachment: pgpyifY5voOJn.pgp
Description: PGP signature


Reply to: